%define gitver %(echo %version | cut -d. -f1-2)
Name:          vamp-plugin-sdk
Version:       2.10.0
Release:       1mamba
Summary:       An API for audio analysis and feature extraction plugins
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://vamp-plugins.org/
Source:        https://github.com/c4dm/vamp-plugin-sdk.git/vamp-plugin-sdk-v%{gitver}/vamp-plugin-sdk-%{version}.tar.bz2
#Source:        https://code.soundsoftware.ac.uk/attachments/download/2450/vamp-plugin-sdk-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
An API for audio analysis and feature extraction plugins.

%package -n lib%{name}
Group:         System/Libraries
Summary:       An API for audio analysis and feature extraction plugins

%description -n lib%{name}
An API for audio analysis and feature extraction plugins.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_SDK_LIBS=%{_libdir} INSTALL_PKGCONFIG=%{_libdir}/pkgconfig

rm -f %{buildroot}%{_libdir}/libvamp-*.la

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libvamp-hostsdk.so.*
%{_libdir}/libvamp-sdk.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/vamp-rdf-template-generator
%{_bindir}/vamp-simple-host
%dir %{_includedir}/vamp-hostsdk
%{_includedir}/vamp-hostsdk/*.h
%dir %{_includedir}/vamp-sdk
%{_includedir}/vamp-sdk/*.h
%dir %{_includedir}/vamp
%{_includedir}/vamp/vamp.h
%{_libdir}/libvamp-hostsdk.a
#%{_libdir}/libvamp-hostsdk.la
%{_libdir}/libvamp-hostsdk.so
%{_libdir}/libvamp-sdk.a
#%{_libdir}/libvamp-sdk.la
%{_libdir}/libvamp-sdk.so
%{_libdir}/pkgconfig/vamp-hostsdk.pc
%{_libdir}/pkgconfig/vamp-sdk.pc
%{_libdir}/pkgconfig/vamp.pc
%dir %{_prefix}/lib/vamp
%{_prefix}/lib/vamp/vamp-example-plugins.cat
%{_prefix}/lib/vamp/vamp-example-plugins.n3
%{_prefix}/lib/vamp/vamp-example-plugins.so
%doc README README.compat

%changelog
* Tue May 19 2020 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Sun May 17 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.0-1mamba
- update to 2.9.0

* Sun Aug 18 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-1mamba
- update to 2.8.0

* Fri May 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6-1mamba
- update to 2.6

* Fri Jan 01 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5-3mamba
- rebuilt with gcc 5.3.0

* Sat Oct 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5-2mamba
- remove apparently broken *.la files

* Sat Dec 07 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5-1mamba
- package created using the webbuild interface
